/*
 * Copyright 2018 Red Hat, Inc. and/or its affiliates.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.jbpm.workbench.common.client.util;

import javax.enterprise.context.Dependent;
import javax.inject.Inject;
import javax.inject.Named;

import elemental2.dom.HTMLDivElement;
import elemental2.dom.HTMLElement;
import elemental2.dom.HTMLHeadingElement;
import org.jboss.errai.ui.client.local.api.elemental2.IsElement;
import org.jboss.errai.ui.shared.api.annotations.DataField;
import org.jboss.errai.ui.shared.api.annotations.Templated;

@Dependent
@Templated
public class BlockingErrorView implements IsElement {

    @Inject
    @DataField("content")
    HTMLDivElement content;

    @Inject
    @Named("h3")
    @DataField("message-summary")
    HTMLHeadingElement summary;

    @Inject
    @Named("h4")
    @DataField("message-description")
    HTMLHeadingElement description;

    @Override
    public HTMLElement getElement() {
        return content;
    }

    public void setSummary(final String message) {
        this.summary.textContent = message;
    }

    public void setDescription(final String message) {
        this.description.textContent = message;
    }
}
